---
title: viewTarget
slug: Web/SVG/Attribute/viewTarget
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{Deprecated_Header("SVG2")}}</div>

<p>The <code><strong>viewTarget</strong></code> attribute indicates the target object associated with the view.</p>

<p>Only one element is using this attribute: {{SVGElement("view")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;xml-name&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;xml-name&gt;</code></dt>
 <dd>This value specifies the name of the object associated with the view.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#ViewElementViewTargetAttribute", "viewTarget")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.view.viewTarget")}}</p>
